Bug 1573974 - mkfs.xfs hangs on stat of nfs share
Summary: mkfs.xfs hangs on stat of nfs share
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xfsprogs
Version: 7.3
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: Zorro Lang
URL:
Whiteboard:
Depends On:
Blocks: 1477664
TreeView+ depends on / blocked
 
Reported: 2018-05-02 15:48 UTC by sgardner
Modified: 2018-10-30 11:38 UTC (History)
5 users (show)

Fixed In Version: xfsprogs-4.5.0-16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 11:38:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3274 0 None None None 2018-10-30 11:38:40 UTC

Description sgardner 2018-05-02 15:48:55 UTC
Description of problem:
mkfs.xfs hangs on stat of nfs share if the nfs share is non-responsive.

Does NOT hang with mkfs.ext4



Version-Release number of selected component (if applicable):
I tested versions of xfsprogs and it appears to start with xfsprogs-4.5.0-8.el7_3.x86_64.



How reproducible:
easily



Steps to Reproduce:
1. Create environment with RHEL7.3+ & xfsprogs-4.5.0-8.el7_3.x86_64+ 
2. Add an NFS mount
3. force the nfs-server to be non-responsive, but keep it mounted on the client
4. run # mkfs.xfs <device>

Actual results:
mkfs.xfs command hangs on stat call on nfs share.  Never completes until the nfs-server is able to respond.

Expected results:
mkfs.xfs should not hang due to unresponsive nfs mount.  In this case, the customer has a process that creates backups at night, part of this process is to create a new filesystem with mkfs.xfs command.

Comment 4 Eric Sandeen 2018-05-02 18:34:13 UTC
This bug is marked as a regression, but no prior working version was identified, so clearing regression & blocker unless that can be provided.

mkfs.xfs checks its target also searches through /proc/mounts to ensure that it is not an active, mounted device.

I can't see the case.  Presumably an strace identified that the mkfs process was hung on a stat.  Could that information be provided, please?

Comment 5 sgardner 2018-05-02 18:54:24 UTC
I was able to verify expected behavior in  xfsprogs-3.2.2-2.el7.x86_64.rpm.

I will update the bug with the difference in stat calls from each version.

Comment 6 Eric Sandeen 2018-05-02 19:13:30 UTC
Looks like regression was between 4.5.0-7 and 4.5.0-8

commit 6b9fc439c91e0bb9f3d758a16e576c43c4ad38cc
Author: Eric Sandeen <sandeen@redhat.com>
Date:   Thu Sep 8 18:19:36 2016 -0500

    fix xfs.h types, accomodate lack of ustat on aarch64
    
    - revert loff_t to off64_t change to preserve xfs.h behavior (#1366291)
    - accomodate lack of ustat() on some arches (#1373605)
    
    Resolves: rhbz#1366291, rhbz#1373605

Can probably fix this simply by checking mnt_type == "nfs" and skipping over it in the getmntent loops.

Comment 7 Eric Sandeen 2018-05-02 20:01:09 UTC

After we lost ustat(2) in commit 4e7a824, we ended up with a slightly
bonkers method to determine if our target block device was mounted:
it goes through every entry returned by getmntent and stats the dir
to see if its underlying device matches ours.

Unfortunately that dir might be a hung nfs server and sadness ensues.

So do some pre-checks; can we stat the mounted "device?"  If so is
it really a block device?  If not, skip it.

Fixes: 4e7a824 ("libxfs/linux.c: Replace use of ustat by stat")
Signed-off-by: Eric Sandeen <sandeen@redhat.com>
---

diff --git a/libxfs/linux.c b/libxfs/linux.c
index 0bace3e..7350fa7 100644
--- a/libxfs/linux.c
+++ b/libxfs/linux.c
@@ -77,7 +77,21 @@ platform_check_mount(char *name, char *block, struct stat *s, int flags)
 		    progname, name);
 		return 1;
 	}
+	/*
+	 * This whole business is to work out if our block device is mounted
+	 * after we lost ustat(2), see:
+	 * 	4e7a824 libxfs/linux.c: Replace use of ustat by stat
+	 * We don't really want to stat every single mounted directory,
+	 * as that may include tmpfs, cgroups, procfs or - worst - hung nfs
+	 * servers.  So we check the "device" before going after the mountpoint.
+	 */
 	while ((mnt = getmntent(f)) != NULL) {
+		/* If the "fsname" is't a stat-able device, skip it */
+		if (stat(mnt->mnt_fsname, &mst) < 0)
+			continue;
+		if (!S_ISBLK(mst.st_mode))
+			continue;
+		/* Ok, this entry does seem to be a mounted block device */
 		if (stat(mnt->mnt_dir, &mst) < 0)
 			continue;
 		if (mst.st_dev != s->st_rdev)

Comment 8 sgardner 2018-05-02 20:25:32 UTC
Just in case you still need it.  Here is the strace output from reproducer.  Cannot provide original data from secure support case.

Although it seems like you already got down to the bottom of this.



STATS FROM Working xfsprogs-3.2.2-2.el7.x86_64

12644 16:03:18.303056 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:17.036000000, st_mtime=2018/05/02-16:03:17.036000000, st_ctime=2018/05/02-16:03:17.036000000}) = 0 <0.000010>
12644 16:03:18.303091 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:17.036000000, st_mtime=2018/05/02-16:03:17.036000000, st_ctime=2018/05/02-16:03:17.036000000}) = 0 <0.000006>
12644 16:03:18.303680 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:17.036000000, st_mtime=2018/05/02-16:03:17.036000000, st_ctime=2018/05/02-16:03:17.036000000}) = 0 <0.000005>
12644 16:03:18.303706 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:17.036000000, st_mtime=2018/05/02-16:03:17.036000000, st_ctime=2018/05/02-16:03:17.036000000}) = 0 <0.000004>
12644 16:03:18.303765 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:17.036000000, st_mtime=2018/05/02-16:03:17.036000000, st_ctime=2018/05/02-16:03:17.036000000}) = 0 <0.000004>
12644 16:03:18.303787 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:17.036000000, st_mtime=2018/05/02-16:03:17.036000000, st_ctime=2018/05/02-16:03:17.036000000}) = 0 <0.000004>
12644 16:03:18.305020 stat("/dev/random", {st_dev=makedev(0, 5), st_ino=4678, st_mode=S_IFCHR|0666, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_rdev=makedev(1, 8), st_atime=2018/05/02-15:31:37.919000000, st_mtime=2018/05/02-15:31:37.919000000, st_ctime=2018/05/02-15:31:37.919000000}) = 0 <0.000010>




STATS from ext4 e2fsprogs-1.42.9-11.el7.x86_64

10947 16:17:10.376501 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:07:42.646000000, st_mtime=2018/05/02-16:07:42.646000000, st_ctime=2018/05/02-16:07:42.646000000}) = 0 <0.000688>
10947 16:17:10.378263 stat("/dev/dm-0", {st_dev=makedev(0, 5), st_ino=8402, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 0), st_atime=2018/05/02-16:10:53.803000000, st_mtime=2018/05/02-15:31:38.023000000, st_ctime=2018/05/02-15:31:38.023000000}) = 0 <0.000010>
10947 16:17:10.380953 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:07:42.646000000, st_mtime=2018/05/02-16:07:42.646000000, st_ctime=2018/05/02-16:07:42.646000000}) = 0 <0.000008>
10947 16:17:10.381215 stat("/dev/mapper/rhel-root", {st_dev=makedev(0, 5), st_ino=8454, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 1), st_atime=2018/05/02-16:10:53.679000000, st_mtime=2018/05/02-15:31:38.035000000, st_ctime=2018/05/02-15:31:38.035000000}) = 0 <0.000007>
10947 16:17:10.381246 stat("/dev/vda1", {st_dev=makedev(0, 5), st_ino=8151, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(252, 1), st_atime=2018/05/02-16:10:53.771000000, st_mtime=2018/05/02-15:31:37.923000000, st_ctime=2018/05/02-15:31:37.923000000}) = 0 <0.000005>
10947 16:17:10.381309 stat("/", {st_dev=makedev(253, 1), st_ino=128, st_mode=S_IFDIR|0555, st_nlink=17, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=4096, st_atime=2018/05/02-14:56:17.528000000, st_mtime=2017/08/09-11:35:13.147000000, st_ctime=2017/08/09-11:35:13.147000000}) = 0 <0.000019>
10947 16:17:10.381607 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:07:42.646000000, st_mtime=2018/05/02-16:07:42.646000000, st_ctime=2018/05/02-16:07:42.646000000}) = 0 <0.000030>
10947 16:17:10.381887 stat("/dev/mapper/rhel-root", {st_dev=makedev(0, 5), st_ino=8454, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 1), st_atime=2018/05/02-16:10:53.679000000, st_mtime=2018/05/02-15:31:38.035000000, st_ctime=2018/05/02-15:31:38.035000000}) = 0 <0.000009>
10947 16:17:10.381933 stat("/dev/vda1", {st_dev=makedev(0, 5), st_ino=8151, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(252, 1), st_atime=2018/05/02-16:10:53.771000000, st_mtime=2018/05/02-15:31:37.923000000, st_ctime=2018/05/02-15:31:37.923000000}) = 0 <0.000007>
10947 16:17:10.382029 stat("/", {st_dev=makedev(253, 1), st_ino=128, st_mode=S_IFDIR|0555, st_nlink=17, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=4096, st_atime=2018/05/02-14:56:17.528000000, st_mtime=2017/08/09-11:35:13.147000000, st_ctime=2017/08/09-11:35:13.147000000}) = 0 <0.000006>
10947 16:17:10.382115 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:07:42.646000000, st_mtime=2018/05/02-16:07:42.646000000, st_ctime=2018/05/02-16:07:42.646000000}) = 0 <0.000008>
10947 16:17:10.382545 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:07:42.646000000, st_mtime=2018/05/02-16:07:42.646000000, st_ctime=2018/05/02-16:07:42.646000000}) = 0 <0.000007>
10947 16:17:10.383967 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:07:42.646000000, st_mtime=2018/05/02-16:07:42.646000000, st_ctime=2018/05/02-16:07:42.646000000}) = 0 <0.000009>
10947 16:17:10.385029 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:17:10.383000000, st_mtime=2018/05/02-16:07:42.646000000, st_ctime=2018/05/02-16:07:42.646000000}) = 0 <0.000008>
10947 16:17:10.385572 stat("/dev/random", {st_dev=makedev(0, 5), st_ino=4678, st_mode=S_IFCHR|0666, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_rdev=makedev(1, 8), st_atime=2018/05/02-15:31:37.919000000, st_mtime=2018/05/02-15:31:37.919000000, st_ctime=2018/05/02-15:31:37.919000000}) = 0 <0.000163>
10947 16:17:10.386027 stat("/dev/random", {st_dev=makedev(0, 5), st_ino=4678, st_mode=S_IFCHR|0666, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_rdev=makedev(1, 8), st_atime=2018/05/02-15:31:37.919000000, st_mtime=2018/05/02-15:31:37.919000000, st_ctime=2018/05/02-15:31:37.919000000}) = 0 <0.000005>




STATS from NON-WORKING  xfsprogs-4.5.0-8.el7_3.x86_64

22136 16:05:38.627149 stat("/dev/random", {st_dev=makedev(0, 5), st_ino=4678, st_mode=S_IFCHR|0666, st_nlink=1, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_rdev=makedev(1, 8), st_atime=2018/05/02-15:31:37.919000000, st_mtime=2018/05/02-15:31:37.919000000, st_ctime=2018/05/02-15:31:37.919000000}) = 0 <0.000475>
22136 16:05:38.628522 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:18.388000000, st_mtime=2018/05/02-16:03:18.388000000, st_ctime=2018/05/02-16:03:18.388000000}) = 0 <0.000403>
22136 16:05:38.628969 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:18.388000000, st_mtime=2018/05/02-16:03:18.388000000, st_ctime=2018/05/02-16:03:18.388000000}) = 0 <0.000008>
22136 16:05:38.630375 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:18.388000000, st_mtime=2018/05/02-16:03:18.388000000, st_ctime=2018/05/02-16:03:18.388000000}) = 0 <0.000011>
22136 16:05:38.630426 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:18.388000000, st_mtime=2018/05/02-16:03:18.388000000, st_ctime=2018/05/02-16:03:18.388000000}) = 0 <0.000008>
22136 16:05:38.637495 stat("/", {st_dev=makedev(253, 1), st_ino=128, st_mode=S_IFDIR|0555, st_nlink=17, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=4096, st_atime=2018/05/02-14:56:17.528000000, st_mtime=2017/08/09-11:35:13.147000000, st_ctime=2017/08/09-11:35:13.147000000}) = 0 <0.000010>
22136 16:05:38.637590 stat("/sys", {st_dev=makedev(0, 16), st_ino=1, st_mode=S_IFDIR|0555, st_nlink=13, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:37.590000000, st_mtime=2018/05/02-15:31:37.590000000, st_ctime=2018/05/02-15:31:37.590000000}) = 0 <0.000084>
22136 16:05:38.637769 stat("/proc", {st_dev=makedev(0, 3), st_ino=1, st_mode=S_IFDIR|0555, st_nlink=112, st_uid=0, st_gid=0, st_blksize=1024, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:35.810122433, st_mtime=2018/05/02-15:31:35.810122433, st_ctime=2018/05/02-15:31:35.810122433}) = 0 <0.000012>
22136 16:05:38.637841 stat("/dev", {st_dev=makedev(0, 5), st_ino=3, st_mode=S_IFDIR|0755, st_nlink=22, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=3220, st_atime=2018/05/02-15:58:41.284000000, st_mtime=2018/05/02-15:32:48.048000000, st_ctime=2018/05/02-15:32:48.048000000}) = 0 <0.000015>
22136 16:05:38.637901 stat("/sys/kernel/security", {st_dev=makedev(0, 15), st_ino=1, st_mode=S_IFDIR|0755, st_nlink=3, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.341122433, st_mtime=2018/05/02-15:31:36.341122433, st_ctime=2018/05/02-15:31:36.341122433}) = 0 <0.000032>
22136 16:05:38.637982 stat("/dev/shm", {st_dev=makedev(0, 17), st_ino=6454, st_mode=S_IFDIR|S_ISVTX|0777, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=40, st_atime=2018/05/02-15:31:36.501000000, st_mtime=2018/05/02-15:31:36.501000000, st_ctime=2018/05/02-15:31:36.501000000}) = 0 <0.000806>
22136 16:05:38.638896 stat("/dev/pts", {st_dev=makedev(0, 11), st_ino=1, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=1024, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.239122433, st_mtime=2018/05/02-15:31:36.239122433, st_ctime=2018/05/02-15:31:36.239122433}) = 0 <0.000350>
22136 16:05:38.639371 stat("/run", {st_dev=makedev(0, 18), st_ino=6456, st_mode=S_IFDIR|0755, st_nlink=25, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=800, st_atime=2018/05/02-15:31:37.603000000, st_mtime=2018/05/02-16:05:18.865000000, st_ctime=2018/05/02-16:05:18.865000000}) = 0 <0.000015>
22136 16:05:38.639441 stat("/sys/fs/cgroup", {st_dev=makedev(0, 19), st_ino=6457, st_mode=S_IFDIR|0755, st_nlink=12, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=280, st_atime=2018/05/02-15:31:36.501000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000033>
22136 16:05:38.639516 stat("/sys/fs/cgroup/systemd", {st_dev=makedev(0, 20), st_ino=6459, st_mode=S_IFDIR|0755, st_nlink=4, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:37, st_mtime=2018/05/02-15:31:36.501000000, st_ctime=2018/05/02-15:31:36.501000000}) = 0 <0.000327>
22136 16:05:38.639917 stat("/sys/fs/pstore", {st_dev=makedev(0, 21), st_ino=6467, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.501000000, st_mtime=2018/05/02-15:31:36.501000000, st_ctime=2018/05/02-15:31:36.501000000}) = 0 <0.001043>
22136 16:05:38.641074 stat("/sys/fs/cgroup/cpu,cpuacct", {st_dev=makedev(0, 22), st_ino=6485, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000022>
22136 16:05:38.641151 stat("/sys/fs/cgroup/cpuset", {st_dev=makedev(0, 23), st_ino=6505, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000021>
22136 16:05:38.641424 stat("/sys/fs/cgroup/perf_event", {st_dev=makedev(0, 24), st_ino=6526, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000013>
22136 16:05:38.641484 stat("/sys/fs/cgroup/freezer", {st_dev=makedev(0, 25), st_ino=6535, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000013>
22136 16:05:38.641536 stat("/sys/fs/cgroup/net_cls", {st_dev=makedev(0, 26), st_ino=6544, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000014>
22136 16:05:38.641595 stat("/sys/fs/cgroup/memory", {st_dev=makedev(0, 27), st_ino=6554, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000041>
22136 16:05:38.641684 stat("/sys/fs/cgroup/blkio", {st_dev=makedev(0, 28), st_ino=6589, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000009>
22136 16:05:38.641721 stat("/sys/fs/cgroup/devices", {st_dev=makedev(0, 29), st_ino=6625, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000013>
22136 16:05:38.641782 stat("/sys/fs/cgroup/hugetlb", {st_dev=makedev(0, 30), st_ino=6637, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000023>
22136 16:05:38.641847 stat("/sys/kernel/config", {st_dev=makedev(0, 31), st_ino=7521, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.720000000, st_mtime=2018/05/02-15:31:36.720000000, st_ctime=2018/05/02-15:31:36.720000000}) = 0 <0.000171>
22136 16:05:38.642062 stat("/", {st_dev=makedev(253, 1), st_ino=128, st_mode=S_IFDIR|0555, st_nlink=17, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=4096, st_atime=2018/05/02-14:56:17.528000000, st_mtime=2017/08/09-11:35:13.147000000, st_ctime=2017/08/09-11:35:13.147000000}) = 0 <0.000013>
22136 16:05:38.642124 stat("/sys/fs/selinux", {st_dev=makedev(0, 14), st_ino=1, st_mode=S_IFDIR|0755, st_nlink=7, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.239122433, st_mtime=2018/05/02-15:31:36.239122433, st_ctime=2018/05/02-15:31:36.239122433}) = 0 <0.000014>
22136 16:05:38.642182 stat("/proc/sys/fs/binfmt_misc", {st_dev=makedev(0, 33), st_ino=11342, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=1024, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:37.675000000, st_mtime=2018/05/02-15:31:37.675000000, st_ctime=2018/05/02-15:31:37.675000000}) = 0 <0.000721>
22136 16:05:38.643057 stat("/dev/mqueue", {st_dev=makedev(0, 13), st_ino=6362, st_mode=S_IFDIR|S_ISVTX|0777, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=40, st_atime=2018/05/02-15:31:36.239122433, st_mtime=2018/05/02-15:31:36.239122433, st_ctime=2018/05/02-15:31:36.239122433}) = 0 <0.000013>
22136 16:05:38.643106 stat("/sys/kernel/debug", {st_dev=makedev(0, 7), st_ino=1, st_mode=S_IFDIR|0700, st_nlink=21, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:35.814122433, st_mtime=2018/05/02-15:31:35.814122433, st_ctime=2018/05/02-15:31:35.814122433}) = 0 <0.000144>
22136 16:05:38.643286 stat("/dev/hugepages", {st_dev=makedev(0, 34), st_ino=11444, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=2097152, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:37.690000000, st_mtime=2018/05/02-15:31:37.690000000, st_ctime=2018/05/02-15:31:37.690000000}) = 0 <0.000152>
22136 16:05:38.643472 stat("/boot", {st_dev=makedev(252, 1), st_ino=128, st_mode=S_IFDIR|0555, st_nlink=3, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=4096, st_atime=2018/05/02-16:04:26.755000000, st_mtime=2018/05/02-16:05:17.131000000, st_ctime=2018/05/02-16:05:17.131000000}) = 0 <0.000196>
22136 16:05:38.643778 stat("/var/lib/nfs/rpc_pipefs", {st_dev=makedev(0, 35), st_ino=13792, st_mode=S_IFDIR|0555, st_nlink=11, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:38.432000000, st_mtime=2018/05/02-15:31:38.432000000, st_ctime=2018/05/02-15:31:38.432000000}) = 0 <0.000103>
22136 16:05:38.643913 stat("/mnt/testxfs", {st_dev=makedev(0, 37), st_ino=266482, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=99, st_gid=99, st_blksize=131072, st_blocks=8, st_size=4096, st_atime=2018/01/31-17:19:19.193999996, st_mtime=2018/01/05-16:34:45.905999754, st_ctime=2018/01/05-16:34:45.905999754}) = 0 <68.126738>
22136 16:06:46.770719 stat("/run/user/0", {st_dev=makedev(0, 36), st_ino=24584, st_mode=S_IFDIR|0700, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=40, st_atime=2018/05/02-15:31:51.706000000, st_mtime=2018/05/02-15:31:51.706000000, st_ctime=2018/05/02-15:31:51.706000000}) = 0 <0.000256>
22136 16:06:46.771100 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:18.388000000, st_mtime=2018/05/02-16:03:18.388000000, st_ctime=2018/05/02-16:03:18.388000000}) = 0 <0.000005>
22136 16:06:46.771133 stat("/dev/testlv/test", {st_dev=makedev(0, 5), st_ino=29434, st_mode=S_IFBLK|0660, st_nlink=1, st_uid=0, st_gid=6, st_blksize=4096, st_blocks=0, st_rdev=makedev(253, 2), st_atime=2018/05/02-16:03:18.388000000, st_mtime=2018/05/02-16:03:18.388000000, st_ctime=2018/05/02-16:03:18.388000000}) = 0 <0.000004>
22136 16:06:46.771297 stat("/", {st_dev=makedev(253, 1), st_ino=128, st_mode=S_IFDIR|0555, st_nlink=17, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=4096, st_atime=2018/05/02-14:56:17.528000000, st_mtime=2017/08/09-11:35:13.147000000, st_ctime=2017/08/09-11:35:13.147000000}) = 0 <0.000004>
22136 16:06:46.771341 stat("/sys", {st_dev=makedev(0, 16), st_ino=1, st_mode=S_IFDIR|0555, st_nlink=13, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:37.590000000, st_mtime=2018/05/02-15:31:37.590000000, st_ctime=2018/05/02-15:31:37.590000000}) = 0 <0.000010>
22136 16:06:46.771380 stat("/proc", {st_dev=makedev(0, 3), st_ino=1, st_mode=S_IFDIR|0555, st_nlink=112, st_uid=0, st_gid=0, st_blksize=1024, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:35.810122433, st_mtime=2018/05/02-15:31:35.810122433, st_ctime=2018/05/02-15:31:35.810122433}) = 0 <0.000005>
22136 16:06:46.771403 stat("/dev", {st_dev=makedev(0, 5), st_ino=3, st_mode=S_IFDIR|0755, st_nlink=22, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=3220, st_atime=2018/05/02-15:58:41.284000000, st_mtime=2018/05/02-15:32:48.048000000, st_ctime=2018/05/02-15:32:48.048000000}) = 0 <0.000004>
22136 16:06:46.771425 stat("/sys/kernel/security", {st_dev=makedev(0, 15), st_ino=1, st_mode=S_IFDIR|0755, st_nlink=3, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.341122433, st_mtime=2018/05/02-15:31:36.341122433, st_ctime=2018/05/02-15:31:36.341122433}) = 0 <0.000008>
22136 16:06:46.771451 stat("/dev/shm", {st_dev=makedev(0, 17), st_ino=6454, st_mode=S_IFDIR|S_ISVTX|0777, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=40, st_atime=2018/05/02-15:31:36.501000000, st_mtime=2018/05/02-15:31:36.501000000, st_ctime=2018/05/02-15:31:36.501000000}) = 0 <0.000004>
22136 16:06:46.771474 stat("/dev/pts", {st_dev=makedev(0, 11), st_ino=1, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=1024, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.239122433, st_mtime=2018/05/02-15:31:36.239122433, st_ctime=2018/05/02-15:31:36.239122433}) = 0 <0.000005>
22136 16:06:46.771496 stat("/run", {st_dev=makedev(0, 18), st_ino=6456, st_mode=S_IFDIR|0755, st_nlink=25, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=800, st_atime=2018/05/02-15:31:37.603000000, st_mtime=2018/05/02-16:05:18.865000000, st_ctime=2018/05/02-16:05:18.865000000}) = 0 <0.000004>
22136 16:06:46.771524 stat("/sys/fs/cgroup", {st_dev=makedev(0, 19), st_ino=6457, st_mode=S_IFDIR|0755, st_nlink=12, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=280, st_atime=2018/05/02-15:31:36.501000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000007>
22136 16:06:46.771551 stat("/sys/fs/cgroup/systemd", {st_dev=makedev(0, 20), st_ino=6459, st_mode=S_IFDIR|0755, st_nlink=4, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:37, st_mtime=2018/05/02-15:31:36.501000000, st_ctime=2018/05/02-15:31:36.501000000}) = 0 <0.000006>
22136 16:06:46.771575 stat("/sys/fs/pstore", {st_dev=makedev(0, 21), st_ino=6467, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.501000000, st_mtime=2018/05/02-15:31:36.501000000, st_ctime=2018/05/02-15:31:36.501000000}) = 0 <0.000006>
22136 16:06:46.771600 stat("/sys/fs/cgroup/cpu,cpuacct", {st_dev=makedev(0, 22), st_ino=6485, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000007>
22136 16:06:46.771640 stat("/sys/fs/cgroup/cpuset", {st_dev=makedev(0, 23), st_ino=6505, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000008>
22136 16:06:46.771708 stat("/sys/fs/cgroup/perf_event", {st_dev=makedev(0, 24), st_ino=6526, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000006>
22136 16:06:46.771734 stat("/sys/fs/cgroup/freezer", {st_dev=makedev(0, 25), st_ino=6535, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000006>
22136 16:06:46.771758 stat("/sys/fs/cgroup/net_cls", {st_dev=makedev(0, 26), st_ino=6544, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000006>
22136 16:06:46.771782 stat("/sys/fs/cgroup/memory", {st_dev=makedev(0, 27), st_ino=6554, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000007>
22136 16:06:46.771811 stat("/sys/fs/cgroup/blkio", {st_dev=makedev(0, 28), st_ino=6589, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000006>
22136 16:06:46.771836 stat("/sys/fs/cgroup/devices", {st_dev=makedev(0, 29), st_ino=6625, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000006>
22136 16:06:46.771861 stat("/sys/fs/cgroup/hugetlb", {st_dev=makedev(0, 30), st_ino=6637, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.502000000, st_mtime=2018/05/02-15:31:36.502000000, st_ctime=2018/05/02-15:31:36.502000000}) = 0 <0.000006>
22136 16:06:46.771885 stat("/sys/kernel/config", {st_dev=makedev(0, 31), st_ino=7521, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.720000000, st_mtime=2018/05/02-15:31:36.720000000, st_ctime=2018/05/02-15:31:36.720000000}) = 0 <0.000006>
22136 16:06:46.771909 stat("/", {st_dev=makedev(253, 1), st_ino=128, st_mode=S_IFDIR|0555, st_nlink=17, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=4096, st_atime=2018/05/02-14:56:17.528000000, st_mtime=2017/08/09-11:35:13.147000000, st_ctime=2017/08/09-11:35:13.147000000}) = 0 <0.000004>
22136 16:06:46.771931 stat("/sys/fs/selinux", {st_dev=makedev(0, 14), st_ino=1, st_mode=S_IFDIR|0755, st_nlink=7, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:36.239122433, st_mtime=2018/05/02-15:31:36.239122433, st_ctime=2018/05/02-15:31:36.239122433}) = 0 <0.000006>
22136 16:06:46.771955 stat("/proc/sys/fs/binfmt_misc", {st_dev=makedev(0, 33), st_ino=11342, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=1024, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:37.675000000, st_mtime=2018/05/02-15:31:37.675000000, st_ctime=2018/05/02-15:31:37.675000000}) = 0 <0.000008>
22136 16:06:46.771981 stat("/dev/mqueue", {st_dev=makedev(0, 13), st_ino=6362, st_mode=S_IFDIR|S_ISVTX|0777, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=40, st_atime=2018/05/02-15:31:36.239122433, st_mtime=2018/05/02-15:31:36.239122433, st_ctime=2018/05/02-15:31:36.239122433}) = 0 <0.000005>
22136 16:06:46.772004 stat("/sys/kernel/debug", {st_dev=makedev(0, 7), st_ino=1, st_mode=S_IFDIR|0700, st_nlink=21, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:35.814122433, st_mtime=2018/05/02-15:31:35.814122433, st_ctime=2018/05/02-15:31:35.814122433}) = 0 <0.000006>
22136 16:06:46.772028 stat("/dev/hugepages", {st_dev=makedev(0, 34), st_ino=11444, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=0, st_gid=0, st_blksize=2097152, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:37.690000000, st_mtime=2018/05/02-15:31:37.690000000, st_ctime=2018/05/02-15:31:37.690000000}) = 0 <0.000004>
22136 16:06:46.772051 stat("/boot", {st_dev=makedev(252, 1), st_ino=128, st_mode=S_IFDIR|0555, st_nlink=3, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=8, st_size=4096, st_atime=2018/05/02-16:04:26.755000000, st_mtime=2018/05/02-16:05:17.131000000, st_ctime=2018/05/02-16:05:17.131000000}) = 0 <0.000005>
22136 16:06:46.772098 stat("/var/lib/nfs/rpc_pipefs", {st_dev=makedev(0, 35), st_ino=13792, st_mode=S_IFDIR|0555, st_nlink=11, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=0, st_atime=2018/05/02-15:31:38.432000000, st_mtime=2018/05/02-15:31:38.432000000, st_ctime=2018/05/02-15:31:38.432000000}) = 0 <0.000006>
22136 16:06:46.772127 stat("/mnt/testxfs", {st_dev=makedev(0, 37), st_ino=266482, st_mode=S_IFDIR|0755, st_nlink=2, st_uid=99, st_gid=99, st_blksize=131072, st_blocks=8, st_size=4096, st_atime=2018/01/31-17:19:19.193999996, st_mtime=2018/01/05-16:34:45.905999754, st_ctime=2018/01/05-16:34:45.905999754}) = 0 <0.006628>
22136 16:06:46.778829 stat("/run/user/0", {st_dev=makedev(0, 36), st_ino=24584, st_mode=S_IFDIR|0700, st_nlink=2, st_uid=0, st_gid=0, st_blksize=4096, st_blocks=0, st_size=40, st_atime=2018/05/02-15:31:51.706000000, st_mtime=2018/05/02-15:31:51.706000000, st_ctime=2018/05/02-15:31:51.706000000}) = 0 <0.000008>

Comment 12 errata-xmlrpc 2018-10-30 11:38:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3274


Note You need to log in before you can comment on or make changes to this bug.